Subject: Re: WinXP upgrade breaks cron mapping
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 02 Aug 2002 13:25:38 -0700
Newsgroups: gmane.os.cygwin

[email-masked] wrote:

> I've just upgraded cygwin to the latest releases. No change in behavior.
>
> I've also cron'ed just the net use command and captured these error 
> messages:
>
> System error 5 has occurred.
>
> Access is denied.
>
> I'd really appreciate any help...

You might try mapping the drive letter permenantly and accessing it via 
/cygdrive/<drive letter>/... or perhaps as a UNC name (e.g. ls -l 
//kcmapp1/e$/hotbackups/fprd1/*.DBF)

>
>
>
> Original Message:
> -----------------
> From: [email-masked] [email-masked]
> Date: Fri, 2 Aug 2002 09:55:47 -0400
> To: [email-masked], [email-masked]
> Subject: WinXP upgrade breaks cron mapping
>
>
> Hello, folks.
>
> I've been running on WinNT for almost a year now, happily. I've just
> upgraded to Win XP and now my scripts launched through cron cannot map
> drives with 'net use' like they used to (using my own NT id). I've traced
> the scripts and the only net use error messages output are when trying to
> unmap the drive:
>
> + echo 'Fri Aug 2 07:00:02 2002 Gathering HOTBU FPRD files.'
> Fri Aug 2 07:00:02 2002 Gathering HOTBU FPRD files.
> + c:/winnt/system32/net use o: '\\KCMAPP1\e$' password 
> '/user:KCMFTW\dtj011'
> + ls -l 'o:/hotbackups/fprd1/*.DBF'
> ls: o:/hotbackups/fprd1/*.DBF: No such file or directory
> + ls -l 'o:/hotbackups/fprd1/*.ORA'
> ls: o:/hotbackups/fprd1/*.ORA: No such file or directory
> + ls -l 'o:/hotbackups/fprd2/*.DBF'
> ls: o:/hotbackups/fprd2/*.DBF: No such file or directory
> + c:/winnt/system32/net use /d o:
> The network connection could not be found.
>
> More help is available by typing NET HELPMSG 2250.
>
> + tee -a c:/temp/work.wrk
> ++ date
> + echo 'Fri Aug 2 07:00:02 2002 Done.'
> Fri Aug 2 07:00:02 2002 Done.
>
> I realize the cron is running under SYSTEM account and that's why I 
> have to
> manually map drives within my cron scripts. Is there any knowledge on the
> differences with XP and NT which might explain why mapping the drives with
> my own NT id would not work as they did prior to upgrading to XP? I have
> the same permissions on the remote server as I always had.
>
> Thanks very much. Please copy me on e-mails as I'm not a part of the list.
>
> David
>
> --------------------------------------------------------------------
> mail2web - Check your email from the web at
> http://mail2web.com/ .
>
>
>
>
> --------------------------------------------------------------------
> mail2web - Check your email from the web at
> http://mail2web.com/ .
>
>
>
> --
> Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting: http://cygwin.com/bugs.html
> Documentation: http://cygwin.com/docs.html
> FAQ: http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/